! INITIALIZATION file for ModelCHECK. 
! This file is to initialize MC. It is read only once.
! Demonstration Configuration file for ModelCHECK version 2002
! This file is to be used with the ModelCHECK wheel Pro/ENGINEER demo parts.
! Updated 11-Jun-2006.
!
!
! "I" = Interactive
! "B" = Batch
! "R" = Regeneration
! "S" = Save

! 10.12.2013 zobrs angepasst fr creo2.0
! 19.03.2018 zobrs ADD_DATE_PARM und ADD_ERR_PARM Y gesetzt (in SAP speichern)
! 18.10.2018 zobrs Neuordnung der Liste, analog des ModelCHECK Konfigurations-Tools
! 29.01.2019 xybleidi Set: ASM_BATCH_ALL => N / MODE_UPDATE => N (for Batch)
! 27.02.2019 zobrs MODE_UPDATE => N auch fr I, R, und S (Option ist nur fr den Batchmode)
! 08.03.2021 zobrs angepasst fr Creo7, Speicherorte fr Berichte, hinzu: # since Creo7, ZEISS
!
! ----------------------------------------------------------
!            Options           "I"     "B"     "R"     "S"
! ----------------------------------------------------------

! ****************
! **************** ALLGEMEIN
! ****************
!
!
! Basiseinstellungen
!
# Config select Mode - Automatic (Y) or Load Config menu option (N)
# or Ask User at start of Pro/E session (A)
CNFG_SELECT_AUTO YNA            Y
!
! Veraltet
!
! Ordner
! Directories
!
! Directory ModelCHECK will write reports
DIR_REPORT C:\CZ_CAD\temp\mc_reports\mc_reports_creo7
! Directory ModelCHECK will write metrics flat file
DIR_METRICS C:\CZ_CAD\temp\mc_reports\mc_metrics_creo7
! Temporary directory for preview files storage
DIR_MC_PREVIEW C:\CZ_CAD\temp\mc_reports\mc_preview_creo7
!
! Aktivierungsmodus
!
! Enable ModelCHECK Y=enable, N=disable, A=Ask user
MC_ENABLE        YNA            Y
! Interactive SAVE MODE - pre (Y) or post (N)?
SAVE_MC_PRE      YN             N
!
! Einstellungen fr Modell-Aktualisierungen
!
! Enable/Disable ModelUPDATE parameter designated
DESIGNATE_MU_STAMP  YN    N
! Enable/Disable ModelUpdate 
MU_ENABLED   YN    N
! Enable/Disable regenerating of model with ModelUPDATE
MU_REGENERATE  YN    N
! Enable/Disable saving of model after performing ModelUPDATE
SAVE_MU  YN    N
! Enable/Disable ModelUpdate  for Skeleton parts
UPDATE_SKELETON  YN    N
! Enable/Disable ModelUpdate  for Sheetmetal parts
UPDATE_SHEETMETAL  YN    N
! Enable/Disable ModelUpdate  for Interchange Assembly
UPDATE_INTER_ASM  YN    N
!
! ModelCHECK Parametereinstellungen
!
# Enable/Disable ModelUPDATE parameter added to the model
ADD_MU_STAMP  YN    N
!
! Parametereinstellungen
!
! Erweiterte Einstellungen
# ASSEMBLY batch mode - run TOP only (N) or ALL LEVELS (Y)
ASM_BATCH_ALL    YN                     N
# Use the external  file for authorization to use Configurator Tool
MC_AUTHORIZATION_FILE	YN	N
# PROGRAM NAMES
PROGRAM          creo7
!
! Berichtseinstellungen
!
# Number of days to save html and xml files in DIR_REPORT
HTML_MAX_DAYS    10
# Number of items for a long list
NUM_ITEMS_LONG_LIST  100
# Skip models in assemblies if they have not changed since being retrieved
# regardless of what MC_ERRORS is set to
SKIP_MODELS      YN             N
!
! Form-Indexierungseinstellungen
!
! Regenerierungseinstellungen
!
# fixes issue with unverified part family table after modelcheck regenerate 
MCREGEN_VERIFY_FT_INSTS YN Y
!
! Benutzerdefiniert
!
# Highlight Color (Red,Yellow,White,Blue,Grey,Magenta,Cyan,Green,Brown)
HIGHLIGHT_COLOR Magenta
PARENT_HI_COLOR	Red
# fixes issue with unverified subassembly family table after modelcheck regenerate
MC_PROCESS_COMPONENT_FIRST YN Y 
#Warnmitteilung bei ModelCHECK Regenerieren
MCREGEN_CONFIRM YN		Y
!
!
! ****************
! **************** EIGENMODEN
! ****************
!
! Basiseinstellungen
! Enable/Disable MC_VDA for specific mode
MC_VDA_RUN       YN             Y       Y       N       N
!
! Aktivierungsmodus
! Enable/Disable ModelCHECK in specific modes
MODE_RUN         YN             Y       Y       N       N      
! Automatically update errors in models when run in BATCH
MODE_UPDATE      YN             N       N       N       N
!
! ModelCheck Parametereinstellungen
!
# Auto add/upd parameter MODEL_CHECK to model with current date as it's value
ADD_DATE_PARM    YN             Y       Y       Y       Y      
# Auto add/upd parameter MC_ERRORS to model with number of errors found in model
ADD_ERR_PARM     YN             Y       Y       Y       Y       
# Auto add/upd parameter MC_CONFIG to model with current mc config used
ADD_CONFIG_PARM  YN             N       N       N       N     
# Auto add/upd parameter MC_MODE to model with current mode MC was run
ADD_MODE_PARM    YN             N       N       N       N
# Duplicate models - Automatically add dup model info to text file
ADD_DUP_INFO_AUTO YNDA          N	N	N	N
!
! Erweiterte Einstellungen
!
# Advance buried feature analysis 
BURIED_ADVANCED   YN            N
# Check models in assemblies regardless of whether they have changed since 
# being retrieved or not 
CHECK_ALL_MODELS YN		 N
# Run MC on all drawing sheets (Y) or current only (N)
DRW_SHEET_ALL    YN	        Y	Y	Y	Y
# Enable/Disable ModelCHECK metrics in specific modes
MC_METRICS	 YN             Y   Y	Y   Y
!
! Berichtseinstellungen
!
# Show Report
SHOW_REPORT       YN            Y       Y       Y       Y
# HTML report creation
HTML_FILE_OUTPUT  YN            Y       Y       Y       Y

# since Creo7, ZEISS
MC_CHECK_ALL_LEVEL_MBD_ANNTNS YN N		N		N		N
MC_MBD_IGNORE_DRIVING_DIMS YN 	  Y		Y		Y 		Y
MC_REGEN_TOP_ASM_ONLY YN		  Y		Y		Y 		Y
MC_EXPORT_XML_XSL_REPORT YN	  Y		Y		Y 		Y












 

