@echo off
COLOR 3F
title Creo 7 Start
mode 60,15
REM ********************************************
REM Startskript mit PTC Creo 7.0 
REM fuer Konstruktionsdienstleister
REM Rolf Weingart, ZORWE, 02.10.2014
REM ********************************************

REM --- History ---

REM 02.10.2014 ZORWE: Skript fr Creo 2 erstellt
REM 06.10.2014 ZORWE: Variablen CZ_CAD_CONFIGPATH und CZ_CAD_COUNTRY ergaenzt
REM 14.02.2019 ZOACN: Script an Creo 4 angepasst
REM 15.06.2021 ZOACN: Script an Creo 7 angepasst
REM --- History ---


REM *** Variablen fr ADM Umgebung ***
set ADMPATH=%ZEISS_ENVIRONMENT%\CZ_CAD
set cad_template_path=%ADMPATH%\cad_lib\templates


REM *** Variablen fuer Creo Installation ***
set CZ_CAD_ROOT=%ZEISS_ENVIRONMENT%\CZ_CAD
set CREO_START_PSF=%CREO_STARTKEY%
set LANG=german


REM *** Setzen config PFADE ***
set CONFIG_DIR=%ADMPATH%\cad_config\Creo7
set CZ_CAD_CONFIGPATH=%CONFIG_DIR%
set CZ_CAD_COUNTRY=DE


REM *** Setzen Creo PFADE ***
set CREO_INST_DIR=%CREO_PATH%\%CREO_DATECODE%\Parametric
set CREO_COMMON_DIR=%CREO_PATH%\%CREO_DATECODE%\Common Files


REM *** Loeschen der Konfiguration aus der Installation ***
del "%CREO_COMMON_DIR%\text\config.pro"
del "%CREO_COMMON_DIR%\text\config.sup"
REM del "%CREO_COMMON_DIR%\text\creo_parametric_admin_customization.ui"

REM *** Kopieren der Konfiguration vom Server ***
copy /y "%CONFIG_DIR%\config.pro"+"%CONFIG_DIR%\config.mapkey" "%CREO_COMMON_DIR%\text\config.pro"
copy /y "%CONFIG_DIR%\config.sup" "%CREO_COMMON_DIR%\text\config.sup"
REM copy /y "%CONFIG_DIR%\creo_parametric_admin_customization.ui" "%CREO_COMMON_DIR%\text\creo_parametric_admin_customization.ui"

REM *** Starten von Creo 4.0 ***
call "%CREO_INST_DIR%\bin\parametric.bat"

close
exit
